Add retries to uncached-npm-install.sh

Pull requests are frequently failing on Travis due to npm flakiness
(I think) travis_retry isn't available in indirect subshells like this
This commit is contained in:
Chris Rebert 2014-08-14 17:59:55 -07:00
parent 559f16572f
commit ff18f380d5

View File

@ -2,5 +2,14 @@
set -e set -e
cd .. # /bootstrap/ cd .. # /bootstrap/
cp test-infra/npm-shrinkwrap.json npm-shrinkwrap.json cp test-infra/npm-shrinkwrap.json npm-shrinkwrap.json
npm install # npm is flaky, so try multiple times
MAXTRIES=3
TRIES=1
while ! npm install; do
if [ $TRIES -ge $MAXTRIES ]; then
exit 1
fi
TRIES=$(($TRIES + 1))
echo "Retrying npm install (Try $TRIES of $MAXTRIES)..."
done
rm npm-shrinkwrap.json rm npm-shrinkwrap.json